import { BigNumberish, Contract } from 'ethers';
import { MetaType } from '../../position/position.interface';
import { ContractPositionTemplatePositionFetcher } from '../../position/template/contract-position.template.position-fetcher';
import { GetDisplayPropsParams, GetTokenBalancesParams, GetTokenDefinitionsParams } from './contract-position.template.types';
export declare abstract class VestingEscrowTemplateContractPositionFetcher<T extends Contract> extends ContractPositionTemplatePositionFetcher<T> {
    abstract veTokenAddress: string;
    abstract getEscrowContract(address: string): T;
    abstract getEscrowedTokenAddress(params: GetTokenDefinitionsParams<T>): Promise<string>;
    abstract getLockedTokenBalance(params: GetTokenBalancesParams<T>): Promise<BigNumberish>;
    abstract getUnlockedTokenBalance(params: GetTokenBalancesParams<T>): Promise<BigNumberish>;
    getContract(address: string): T;
    getDefinitions(): Promise<{
        address: string;
    }[]>;
    getTokenDefinitions(params: GetTokenDefinitionsParams<T>): Promise<{
        metaType: MetaType;
        address: string;
        network: import("../../types").Network;
    }[]>;
    getLabel({ contractPosition }: GetDisplayPropsParams<T>): Promise<string>;
    getTokenBalancesPerPosition(params: GetTokenBalancesParams<T>): Promise<BigNumberish[]>;
}
